#ifndef __ACTIVETASKS_H_
#define __ACTIVETASKS_H_

const int MAXLEN = 256;

struct TaskType
{
  char * appTitle;
  char * appClass;
  long x, y;
  HBITMAP pix;
  HICON icon;
  HWND hwnd;
  HWND appHandle;
  BOOL IsActive;
  BOOL IsCustomIcon;
  BOOL IsIconic;
  BOOL IsMoved;
	BOOL IsTrans;
};

struct TasksSettings
{
//Main Task Settings
  int Direction, DragDistance, MaxTiles, SpacingX, SpacingY, WrapCount, WrapDirection;
  int Height, Width, X, Y;
  int IconSize, IconX, IconY, MinIconX, MinIconY, SelIconX, SelIconY;
  int PixX, PixY, MinPixX, MinPixY, SelPixX, SelPixY;

  BOOL AlwaysOnTop, AutoArrange, HideMinAppBar, HideMinimized, HideOnClick, /*HideOnLostFocus,*/ InjTray, MoveAll, NoMinimizeOnClick, NoMove, OnlyMinimized, OnlySelected, StartHidden;
  BOOL NoHints, NoIcons, HighLightMinimized, HighLightSelected, UseWindowsSettings, EnableTrueTransparency;

	BOOL TestTransFix;

  COLORREF BgColor, DarkColor, LightColor, MinBgColor, MinDarkColor, MinLightColor, SelBgColor, SelDarkColor, SelLightColor;

  HBITMAP BgImage, MinBgImage, SelBgImage;

//Title Task Settings
  int TitleHeight, TitleWidth, TitleMinHeight, TitleMinWidth, TitleSelHeight, TitleSelWidth;
	int TitleX, TitleY, TitleMinX, TitleMinY, TitleSelX, TitleSelY;
	int TitleIconX, TitleIconY, TitleMinIconX, TitleMinIconY, TitleSelIconX, TitleSelIconY;
	int TitlePixX, TitlePixY, TitleMinPixX, TitleMinPixY, TitleSelPixX, TitleSelPixY;
  int TitleFontSize, TitleMinFontSize, TitleSelFontSize;

  BOOL Titles, TitleNoEllipsis, TitleUnderline, TitleMinimized, TitleMinNoEllipsis, TitleMinUnderline, TitleSelected, TitleSelNoEllipsis, TitleSelUnderline;

  CHAR TitleFont[MAXLEN], TitleMinFont[MAXLEN], TitleSelFont[MAXLEN];

  COLORREF TitleBgColor, TitleDarkColor, TitleFontColor, TitleLightColor, TitleMinBgColor, TitleMinDarkColor, TitleMinFontColor, TitleMinLightColor, TitleSelBgColor, TitleSelDarkColor, TitleSelFontColor, TitleSelLightColor;
};

struct IconList
{
  char * match; // string to look for in titlebar, or class name
  char * name; // path to icon
  int icon; // icon # to load when name is found
};

struct AddList
{
  char * match; // string to look for in titlebar, or class name
};

struct IgnoreList
{
  char * match; // string to look for in titlebar, or class name
};

struct PixList
{
  char * match; // string to look for in titlebar, or class name
  char * pix; // path to pix to load
};

#ifdef __cplusplus
extern "C" {
#endif

__declspec( dllexport ) int initModuleEx(HWND parent, HINSTANCE dll, LPCSTR szPath);
__declspec( dllexport ) void quitModule(HINSTANCE dllInst);

#ifdef __cplusplus
}
#endif


#endif

